using System.Data;
using MySql.Data.MySqlClient;

namespace Robware.Data {
	public class MySQLDatabaseProvider : IDatabaseProvider {
		private readonly string _connectionString;

		public MySQLDatabaseProvider(string connectionString) => _connectionString = connectionString;

		public IDbConnection NewConnection() => new MySqlConnection(_connectionString);
	}
}